Processes - Import Process Template Status
Tells whether promote has completed for the specified promote job ID.
GET https://dev.azure.com/{organization}/_apis/work/processadmin/processes/status/{id}?api-version=5.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
string (uuid) |
The ID of the promote job operation |
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.0-preview.1' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Examples
Sample request
GET https://dev.azure.com/fabrikam/_apis/work/processadmin/processes/status/{id}?api-version=5.0-preview.1
Sample response
{
"id": "bdcc42ab-9882-485e-a3ed-7678f01f66bf",
"complete": 2,
"pending": 0,
"remainingRetries": 2,
"successful": true,
"message": null
}
Definitions
ProcessPromoteStatus
Describes result of process operation promote.
| Name | Type | Description |
|---|---|---|
| complete |
integer (int32) |
Number of projects for which promote is complete. |
| id |
string (uuid) |
ID of the promote operation. |
| message |
string |
The error message assoicated with the promote operation. The string will be empty if there are no errors. |
| pending |
integer (int32) |
Number of projects for which promote is pending. |
| remainingRetries |
integer (int32) |
The remaining retries. |
| successful |
boolean |
True if promote finished all the projects successfully. False if still inprogress or any project promote failed. |